"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _hooks = require("../../../hooks");

var _Context = require("./Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AccordionButton = ({
  children,
  style,
  _expanded,
  _disabled,
  ...props
}, ref) => {
  const {
    isOpen,
    isDisabled,
    onOpen,
    onClose
  } = _react.default.useContext(_Context.AccordionItemContext);

  const pressHandler = () => {
    isOpen ? onClose && onClose() : onOpen && onOpen();
  };

  const borderColor = (0, _hooks.useToken)('colors', 'muted.200');
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    activeOpacity: 1,
    disabled: isDisabled,
    onPress: () => pressHandler(),
    accessible: true,
    accessibilityRole: "checkbox",
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    p: 3,
    borderColor: borderColor,
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center"
  }, props, {
    style: [style, isOpen && _expanded, isDisabled && _disabled]
  }), children));
};

var _default = /*#__PURE__*/_react.default.forwardRef(AccordionButton);

exports.default = _default;
//# sourceMappingURL=AccordionButton.js.map