"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _usePropsConfig = require("../../../hooks/usePropsConfig");

var _useFadeTransition = require("./useFadeTransition");

var _Box = _interopRequireDefault(require("../../primitives/Box"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Fade = ({
  children,
  ...props
}) => {
  const {
    in: animationState,
    duration
  } = (0, _usePropsConfig.usePropsConfig)('Fade', props);
  const {
    fadeValue,
    fadeIn,
    fadeOut
  } = (0, _useFadeTransition.useFadeTransition)(duration);
  animationState ? fadeIn() : fadeOut();
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      opacity: fadeValue
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, props), children);
};

var _default = Fade;
exports.default = _default;
//# sourceMappingURL=Fade.js.map