"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _native = _interopRequireDefault(require("styled-components/native"));

var _isNil = _interopRequireDefault(require("lodash/isNil"));

var _hooks = require("../../../hooks");

var _styledSystem = require("styled-system");

var _customProps = require("../../../utils/customProps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledNBSwitch = (0, _native.default)(_reactNative.Switch)(_styledSystem.color, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _styledSystem.position, _customProps.customPosition, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customLayout);

const Switch = ({
  style,
  onToggle,
  isDisabled,
  isInvalid,
  iosBgColor,
  isChecked,
  defaultIsChecked,
  ariaLabel,
  onColor,
  offColor,
  ...props
}, ref) => {
  var _newProps$transform;

  const [isActive, setIsActive] = (0, _react.useState)(!(0, _isNil.default)(defaultIsChecked) ? defaultIsChecked : false);
  const borderColorInvalid = (0, _hooks.useToken)('colors', 'danger.600');
  const checked = !(0, _isNil.default)(isChecked) ? isChecked : isActive;
  const newProps = (0, _hooks.usePropsConfig)('Switch', { ...props,
    checked,
    onColor,
    offColor
  });
  const inValidPropFactors = {
    borderWidth: 1,
    borderRadius: 16,
    borderColor: borderColorInvalid
  };

  let computedStyle = _reactNative.StyleSheet.flatten([style, {
    transform: (_newProps$transform = newProps.transform) !== null && _newProps$transform !== void 0 ? _newProps$transform : undefined
  }, isInvalid ? inValidPropFactors : {}]);

  return /*#__PURE__*/_react.default.createElement(StyledNBSwitch, _extends({}, newProps, {
    disabled: isDisabled,
    ios_backgroundColor: iosBgColor,
    onValueChange: onToggle ? onToggle : () => setIsActive(!isActive),
    value: checked,
    style: computedStyle,
    accessibilityLabel: ariaLabel,
    accessibilityRole: "switch",
    ref: ref,
    opacity: isDisabled ? 0.4 : 1
  }));
};

var _default = /*#__PURE__*/_react.default.forwardRef(Switch);

exports.default = _default;
//# sourceMappingURL=index.js.map