"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "NativeBaseConsumer", {
  enumerable: true,
  get: function () {
    return _native.ThemeConsumer;
  }
});
Object.defineProperty(exports, "NativeBaseContext", {
  enumerable: true,
  get: function () {
    return _native.ThemeContext;
  }
});
exports.NativeBaseProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _native = require("styled-components/native");

var _reactNative = require("react-native");

var _theme = require("./../theme");

var _colorMode = require("./../color-mode");

var _OverlayProvider = _interopRequireDefault(require("./Overlay/OverlayProvider"));

var _PopoverProvider = _interopRequireDefault(require("./Popover/PopoverProvider"));

var _View = _interopRequireDefault(require("../components/primitives/View"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ColoredBackground = ({
  children,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, props, {
  bg: (0, _colorMode.useColorModeValue)("gray.50", "gray.800"),
  flex: 1
}), /*#__PURE__*/_react.default.createElement(_OverlayProvider.default, null, /*#__PURE__*/_react.default.createElement(_PopoverProvider.default, null, children)));

const NativeBaseProvider = props => {
  const {
    colorModeManager,
    theme = _theme.theme,
    disableSafeArea,
    ...rest
  } = props;

  const styles = _reactNative.StyleSheet.create({
    container: {
      flex: 1
    }
  });

  return /*#__PURE__*/_react.default.createElement(_native.ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/_react.default.createElement(_colorMode.ColorModeProvider, {
    colorModeManager: colorModeManager,
    options: theme.config
  }, disableSafeArea ? /*#__PURE__*/_react.default.createElement(ColoredBackground, rest) : /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(ColoredBackground, rest))));
};

exports.NativeBaseProvider = NativeBaseProvider;
//# sourceMappingURL=NativeBaseProvider.js.map