"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _tools = require("../tools");

const baseStyle = props => {
  const {
    colors
  } = props.theme;
  return {
    w: '100%',
    p: _reactNative.Platform.OS === 'android' ? 2 : 3,
    // Android's input have default padding.
    color: (0, _tools.mode)('black', 'white')(props),
    placeholderTextColor: (0, _tools.mode)(colors.blackAlpha[600], colors.whiteAlpha[600])(props),
    _isDisabledProps: {
      opacity: 0.4
    }
  };
};

function roundedStyle(props) {
  return {
    borderRadius: '50',
    borderWidth: 1,
    borderColor: (0, _tools.mode)('gray.600', 'gray.400')(props)
  };
}

function defaultStyle(props) {
  return {
    borderWidth: 1,
    borderColor: (0, _tools.mode)('gray.600', 'gray.400')(props)
  };
}

function filledStyle(props) {
  return {
    bg: props.bg || (0, _tools.mode)('gray.200', 'gray.600')(props)
  };
}

function unstyledStyle() {
  return {
    borderWidth: 0
  };
}

function underlinedStyle(props) {
  return {
    borderRadius: 0,
    borderWidth: 0,
    borderColor: (0, _tools.mode)('gray.600', 'gray.400')(props),
    borderBottomWidth: 1
  };
}

const variants = {
  outline: defaultStyle,
  underlined: underlinedStyle,
  rounded: roundedStyle,
  filled: filledStyle,
  unstyled: unstyledStyle,
  default: defaultStyle
};
const sizes = {
  '2xl': {
    fontSize: '2xl'
  },
  'xl': {
    fontSize: 'xl'
  },
  'lg': {
    fontSize: 'lg'
  },
  'md': {
    fontSize: 'md'
  },
  'sm': {
    fontSize: 'sm'
  },
  'xs': {
    fontSize: 'xs'
  }
};
const defaultProps = {
  size: 'md',
  variant: 'default',
  borderRadius: 'md'
};
var _default = {
  baseStyle,
  variants,
  sizes,
  defaultProps
};
exports.default = _default;
//# sourceMappingURL=input.js.map