"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get = _interopRequireDefault(require("lodash/get"));

var _tools = require("../tools");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function baseStyleTrack(props) {
  const {
    colorScheme,
    theme,
    offTrackColor
  } = props;
  const simplifiedColorScheme = (0, _tools.getColorScheme)(props);
  return colorScheme && colorScheme !== 'default' ? {
    false: offTrackColor ? (0, _tools.mode)(theme.colors[offTrackColor][400], theme.colors[offTrackColor][100])(props) : (0, _tools.mode)(theme.colors.light[100], theme.colors.dark[50])(props),
    true: (0, _tools.mode)(theme.colors[simplifiedColorScheme][500], theme.colors[simplifiedColorScheme][200])(props)
  } : undefined;
}

function baseStyleThumb(props) {
  return props.checked ? props.onColor ? (0, _get.default)(props.theme.colors, props.onColor) : undefined : props.offColor ? (0, _get.default)(props.theme.colors, props.offColor) : undefined;
}

const baseStyle = props => ({
  trackColor: baseStyleTrack(props),
  thumbColor: baseStyleThumb(props)
});

const sizes = {
  sm: {
    transform: [{
      scale: 0.75
    }]
  },
  md: {},
  lg: {
    transform: [{
      scale: 1.25
    }],
    margin: 1
  }
};
const defaultProps = {
  size: 'md',
  colorScheme: 'default'
};
var _default = {
  baseStyle,
  sizes,
  defaultProps
};
exports.default = _default;
//# sourceMappingURL=switch.js.map