"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filterShadowProps = void 0;

var _reactNative = require("react-native");

var _tools = require("./../theme/tools/");

var _isEmpty = _interopRequireDefault(require("lodash/isEmpty"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const filterShadowProps = (props, ignoredProps) => {
  var _ignoredProps$style;

  if (_reactNative.Platform.OS === 'web') {
    return { ...ignoredProps,
      ...props
    };
  }

  let style = (_ignoredProps$style = ignoredProps.style) !== null && _ignoredProps$style !== void 0 ? _ignoredProps$style : {};
  let [shadowProps, remainingProps] = (0, _tools.extractInObject)(props, ['shadowColor', 'shadowOffset', 'shadowOpacity', 'shadowRadius']);

  if (!(0, _isEmpty.default)(shadowProps)) {
    style = { ...style,
      ...shadowProps
    };
  }

  return { ...remainingProps,
    ...ignoredProps,
    style
  };
};

exports.filterShadowProps = filterShadowProps;
//# sourceMappingURL=filterShadowProps.js.map