function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity } from 'react-native';
import Box from '../../primitives/Box';
import { useToken } from '../../../hooks';
import { AccordionItemContext } from './Context';

const AccordionButton = ({
  children,
  style,
  _expanded,
  _disabled,
  ...props
}, ref) => {
  const {
    isOpen,
    isDisabled,
    onOpen,
    onClose
  } = React.useContext(AccordionItemContext);

  const pressHandler = () => {
    isOpen ? onClose && onClose() : onOpen && onOpen();
  };

  const borderColor = useToken('colors', 'muted.200');
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    activeOpacity: 1,
    disabled: isDisabled,
    onPress: () => pressHandler(),
    accessible: true,
    accessibilityRole: "checkbox",
    ref: ref
  }, /*#__PURE__*/React.createElement(Box, _extends({
    p: 3,
    borderColor: borderColor,
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center"
  }, props, {
    style: [style, isOpen && _expanded, isDisabled && _disabled]
  }), children));
};

export default /*#__PURE__*/React.forwardRef(AccordionButton);
//# sourceMappingURL=AccordionButton.js.map