import React from 'react';
import Box from '../../primitives/Box';
import { AccordionContext, AccordionItemContext } from './Context';

const AccordionItem = ({
  children,
  index: pIndex = 0,
  isDisabled,
  ...props
}) => {
  const {
    index: cIndex,
    changeHandler
  } = React.useContext(AccordionContext);
  const isOpen = cIndex === null || cIndex === void 0 ? void 0 : cIndex.includes(pIndex);

  const onClose = cb => {
    changeHandler && changeHandler(false, pIndex);
    cb && cb();
  };

  const onOpen = cb => {
    changeHandler && changeHandler(true, pIndex);
    cb && cb();
  };

  const childSetter = () => {
    if (typeof children === 'function') return children({
      isExpanded: isOpen,
      isDisabled
    });
    return children;
  };

  return /*#__PURE__*/React.createElement(AccordionItemContext.Provider, {
    value: {
      isOpen,
      isDisabled,
      onClose,
      onOpen
    }
  }, /*#__PURE__*/React.createElement(Box, props, childSetter()));
};

export default AccordionItem;
//# sourceMappingURL=AccordionItem.js.map