function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled from 'styled-components/native';
import { Box, Image, Text } from '../../primitives';
import { usePropsConfig } from '../../../hooks';

const initials = name => {
  const [firstName, lastName] = name.split(' ');
  return firstName && lastName ? "".concat(firstName.charAt(0)).concat(lastName.charAt(0)) : firstName.charAt(0);
};

const StyledAvatar = styled(Box)({});
export const Avatar = props => {
  const {
    size,
    name,
    style,
    source,
    children,
    ...remainingProps
  } = props;
  const {
    color,
    fontSize,
    fontWeight,
    ...newProps
  } = usePropsConfig('Avatar', { ...remainingProps,
    name,
    size
  });
  const textProps = {
    color,
    fontSize,
    fontWeight
  };
  const imageFitStyle = {
    height: '100%',
    width: '100%'
  };
  return /*#__PURE__*/React.createElement(StyledAvatar, _extends({}, newProps, {
    style: style
  }), source ? /*#__PURE__*/React.createElement(Image, {
    borderRadius: newProps.borderRadius,
    source: source,
    alt: name ? initials(name) : '--',
    textProps: {
      color,
      fontSize,
      fontWeight
    },
    style: [style, imageFitStyle]
  }) : /*#__PURE__*/React.createElement(Text, textProps, name ? initials(name) : '--'), children);
};
//# sourceMappingURL=Avatar.js.map