import { useState } from 'react';
export function useButton(props, _ref) {
  var _props$accessible, _props$accessibilityR, _props$accessibilityS;

  const [isPressed, setIsPressed] = useState(false);
  const disabled = !!props.isDisabled;
  const buttonProps = {
    accessible: (_props$accessible = props.accessible) !== null && _props$accessible !== void 0 ? _props$accessible : true,
    accessibilityRole: (_props$accessibilityR = props.accessibilityRole) !== null && _props$accessibilityR !== void 0 ? _props$accessibilityR : 'button',
    accessibilityState: (_props$accessibilityS = props.accessibilityState) !== null && _props$accessibilityS !== void 0 ? _props$accessibilityS : {
      disabled
    },
    disabled,
    ...props,
    onPress: e => {
      props.onPress && props.onPress(e);
    },
    onPressIn: () => {
      setIsPressed(true);
    },
    onPressOut: () => {
      setIsPressed(false);
    }
  };
  const newProps = {
    isPressed,
    buttonProps
  };
  return newProps;
}
//# sourceMappingURL=useButton.js.map