function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet } from 'react-native';
import { border, color, flexbox, layout, space, typography, position } from 'styled-system';
import { customBorder, customBackground, customOutline, customLayout, customExtra, customShadow, customTypography, customPosition } from '../../../utils/customProps';
import { usePropsConfig, useToken } from '../../../hooks';
import styled from 'styled-components/native';
import AntDesign from 'react-native-vector-icons/AntDesign';
import Entypo from 'react-native-vector-icons/Entypo';
import EvilIcons from 'react-native-vector-icons/EvilIcons';
import Feather from 'react-native-vector-icons/Feather';
import FontAwesome from 'react-native-vector-icons/FontAwesome';
import FontAwesome5 from 'react-native-vector-icons/FontAwesome5';
import Foundation from 'react-native-vector-icons/Foundation';
import Ionicons from 'react-native-vector-icons/Ionicons';
import MaterialCommunityIcons from 'react-native-vector-icons/MaterialCommunityIcons';
import MaterialIcons from 'react-native-vector-icons/MaterialIcons';
import Octicons from 'react-native-vector-icons/Octicons';
import SimpleLineIcons from 'react-native-vector-icons/SimpleLineIcons';
import Zocial from 'react-native-vector-icons/Zocial';
import { SVGIcon } from './SVGIcon';
import { Path } from 'react-native-svg';

const Icon = iconProps => {
  const {
    name,
    type,
    size,
    color: colorProp,
    ...props
  } = iconProps;
  const newProps = usePropsConfig('Icon', {
    size,
    color: colorProp
  });
  const rawColor = useToken('colors', newProps.color);

  if (!name) {
    return /*#__PURE__*/React.createElement(SVGIcon, iconProps);
  }

  const flattenedIconStyle = StyleSheet.flatten([{
    fontSize: newProps.size
  }]);

  switch (type) {
    case 'AntDesign':
      return /*#__PURE__*/React.createElement(AntDesign, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Entypo':
      return /*#__PURE__*/React.createElement(Entypo, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'EvilIcons':
      return /*#__PURE__*/React.createElement(EvilIcons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Feather':
      return /*#__PURE__*/React.createElement(Feather, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'FontAwesome':
      return /*#__PURE__*/React.createElement(FontAwesome, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'FontAwesome5':
      return /*#__PURE__*/React.createElement(FontAwesome5, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Foundation':
      return /*#__PURE__*/React.createElement(Foundation, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Ionicons':
      return /*#__PURE__*/React.createElement(Ionicons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'MaterialCommunityIcons':
      return /*#__PURE__*/React.createElement(MaterialCommunityIcons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Octicons':
      return /*#__PURE__*/React.createElement(Octicons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'SimpleLineIcons':
      return /*#__PURE__*/React.createElement(SimpleLineIcons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    case 'Zocial':
      return /*#__PURE__*/React.createElement(Zocial, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));

    default:
      return /*#__PURE__*/React.createElement(MaterialIcons, _extends({
        name: name
      }, props, {
        style: flattenedIconStyle,
        color: rawColor
      }));
  }
};

const styledIcon = styled(Icon)(color, space, layout, flexbox, border, typography, position, customPosition, customBorder, customBackground, customOutline, customShadow, customExtra, customLayout, customTypography);
export default styledIcon;
export { Path };
export { createIcon } from './createIcon';
//# sourceMappingURL=index.js.map