function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { ThemeConsumer, ThemeContext, ThemeProvider } from 'styled-components/native';
import { SafeAreaView, StyleSheet } from 'react-native';
import { theme as defaultTheme } from './../theme';
import { ColorModeProvider, useColorModeValue } from './../color-mode';
import OverlayProvider from './Overlay/OverlayProvider';
import PopoverProvider from './Popover/PopoverProvider';
import View from '../components/primitives/View';

const ColoredBackground = ({
  children,
  ...props
}) => /*#__PURE__*/React.createElement(View, _extends({}, props, {
  bg: useColorModeValue("gray.50", "gray.800"),
  flex: 1
}), /*#__PURE__*/React.createElement(OverlayProvider, null, /*#__PURE__*/React.createElement(PopoverProvider, null, children)));

const NativeBaseProvider = props => {
  const {
    colorModeManager,
    theme = defaultTheme,
    disableSafeArea,
    ...rest
  } = props;
  const styles = StyleSheet.create({
    container: {
      flex: 1
    }
  });
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(ColorModeProvider, {
    colorModeManager: colorModeManager,
    options: theme.config
  }, disableSafeArea ? /*#__PURE__*/React.createElement(ColoredBackground, rest) : /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(ColoredBackground, rest))));
};

export { NativeBaseProvider, ThemeConsumer as NativeBaseConsumer, ThemeContext as NativeBaseContext };
//# sourceMappingURL=NativeBaseProvider.js.map