import React from 'react';
import { PopoverContext } from './Context';
export const usePopover = () => {
  const {
    setPopoverItem,
    defaultConfig,
    setConfig,
    parentComponentConfig
  } = React.useContext(PopoverContext);

  const closePopover = () => {
    setPopoverItem(null);
    setConfig({ ...defaultConfig,
      parentComponentConfig: null
    });
  };

  const setPopover = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setPopoverItem(component);
  };

  return {
    closePopover,
    setPopover,
    parentComponentConfig
  };
};
//# sourceMappingURL=usePopover.js.map