import React from 'react';
import type { ColorMode, StorageManager } from './utils';
export interface ColorModeOptions {
    initialColorMode?: ColorMode;
    useSystemColorMode?: boolean;
}
export declare type IColorModeProviderProps = {
    value?: ColorMode;
    children?: React.ReactNode;
    options: ColorModeOptions;
    colorModeManager?: StorageManager;
};
interface ColorModeContextType {
    colorMode: ColorMode;
    toggleColorMode: () => void;
    setColorMode: (value: any) => void;
}
export declare const ColorModeContext: React.Context<ColorModeContextType>;
export declare function ColorModeProvider(props: any): JSX.Element;
export declare const useColorMode: () => ColorModeContextType;
export declare function useColorModeValue(light: any, dark: any): any;
export {};
