declare function roundedStyle(props: Record<string, any>): {
    borderRadius: string;
    borderWidth: number;
    borderColor: any;
};
declare function defaultStyle(props: Record<string, any>): {
    borderWidth: number;
    borderColor: any;
};
declare function filledStyle(props: Record<string, any>): {
    bg: any;
};
declare function unstyledStyle(): {
    borderWidth: number;
};
declare function underlinedStyle(props: Record<string, any>): {
    borderRadius: number;
    borderWidth: number;
    borderColor: any;
    borderBottomWidth: number;
};
declare const _default: {
    baseStyle: (props: Record<string, any>) => {
        w: string;
        p: number;
        color: any;
        placeholderTextColor: any;
        _isDisabledProps: {
            opacity: number;
        };
    };
    variants: {
        outline: typeof defaultStyle;
        underlined: typeof underlinedStyle;
        rounded: typeof roundedStyle;
        filled: typeof filledStyle;
        unstyled: typeof unstyledStyle;
        default: typeof defaultStyle;
    };
    sizes: {
        '2xl': {
            fontSize: string;
        };
        xl: {
            fontSize: string;
        };
        lg: {
            fontSize: string;
        };
        md: {
            fontSize: string;
        };
        sm: {
            fontSize: string;
        };
        xs: {
            fontSize: string;
        };
    };
    defaultProps: {
        size: string;
        variant: string;
        borderRadius: string;
    };
};
export default _default;
